Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.alevent.impl
Class EngineEPCCacheSpecInfo

    java.lang.Object
      com.connecterra.ale.alevent.impl.EngineEPCCacheSpecInfo

All Implemented Interfaces:
  EPCCacheSpecInfo

public class EngineEPCCacheSpecInfo
extends java.lang.Object
implements EPCCacheSpecInfo

Constructor Summary
`EngineEPCCacheSpecInfo()`

Method Summary
`int` | `getActivationCount()` Returns the number of times an EPC value has been obtained from this EPC cache since it was defined.
`EPCPatterns` | `getCacheContent()` Gives the contents remaining in the EPC cache.
`long` | `getCacheSize()` Tells how many entries remain in the EPC cache.
`long` | `getLastActivated()` Returns the last time an EPC value was obtained from this EPC cache.
`long` | `getLastReplenished()` Returns the last time this EPC cache was replenished.
`long` | `getLastReported()` Returns the last time a cache report was generated by this EPC cache.
`java.util.List` | `getPCSpecNames()` Returns the names of the `PCSpec`s, if any, that are using this EPC cache.
`int` | `getReplenishCount()` Returns the number of times this EPC cache has been replenished since it was defined.
`int` | `getSubscriberCount()` Returns the number of URIs subscribed to this EPC cache.
`void` | `setActivationCount(int count)`
`void` | `setCacheContent(EPCPatterns cacheContent)`
`void` | `setCacheSize(long cacheSize)`
`void` | `setLastActivated(long millis)`
`void` | `setLastReplenished(long millis)`
`void` | `setLastReported(long millis)`
`void` | `setPCSpecNames(java.util.List specNames)`
`void` | `setReplenishCount(int count)`
`void` | `setSubscriberCount(int count)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EngineEPCCacheSpecInfo

    public EngineEPCCacheSpecInfo()

Method Detail

### getSubscriberCount

    public int getSubscriberCount()

  Description copied from interface: `EPCCacheSpecInfo`
  Returns the number of URIs subscribed to this EPC cache.

  Specified by:
    `getSubscriberCount` in interface `EPCCacheSpecInfo`

### setSubscriberCount

    public void setSubscriberCount(int count)

### getPCSpecNames

    public java.util.List getPCSpecNames()

  Description copied from interface: `EPCCacheSpecInfo`
  Returns the names of the `PCSpec`s, if any, that are using this EPC cache.

  Specified by:
    `getPCSpecNames` in interface `EPCCacheSpecInfo`

### setPCSpecNames

    public void setPCSpecNames(java.util.List specNames)

### getActivationCount

    public int getActivationCount()

  Description copied from interface: `EPCCacheSpecInfo`
  Returns the number of times an EPC value has been obtained from this EPC cache since it was defined.

  Specified by:
    `getActivationCount` in interface `EPCCacheSpecInfo`

### setActivationCount

    public void setActivationCount(int count)

### getLastActivated

    public long getLastActivated()

  Description copied from interface: `EPCCacheSpecInfo`
  Returns the last time an EPC value was obtained from this EPC cache.

  Specified by:
    `getLastActivated` in interface `EPCCacheSpecInfo`
  Returns:
    A time in milliseconds, as returned from System.currentTimeMillis(). If an EPC value has never been obtained, returns -1.

### setLastActivated

    public void setLastActivated(long millis)

### getReplenishCount

    public int getReplenishCount()

  Description copied from interface: `EPCCacheSpecInfo`
  Returns the number of times this EPC cache has been replenished since it was defined.

  Specified by:
    `getReplenishCount` in interface `EPCCacheSpecInfo`

### setReplenishCount

    public void setReplenishCount(int count)

### getLastReplenished

    public long getLastReplenished()

  Description copied from interface: `EPCCacheSpecInfo`
  Returns the last time this EPC cache was replenished.

  Specified by:
    `getLastReplenished` in interface `EPCCacheSpecInfo`
  Returns:
    A time in milliseconds, as returned from System.currentTimeMillis(). If this EPC cache has never been replenished, returns -1.

### setLastReplenished

    public void setLastReplenished(long millis)

### getLastReported

    public long getLastReported()

  Description copied from interface: `EPCCacheSpecInfo`
  Returns the last time a cache report was generated by this EPC cache.

  Specified by:
    `getLastReported` in interface `EPCCacheSpecInfo`
  Returns:
    A time in milliseconds, as returned from System.currentTimeMillis(). If a report has never been generated, returns -1.

### setLastReported

    public void setLastReported(long millis)

### getCacheSize

    public long getCacheSize()

  Description copied from interface: `EPCCacheSpecInfo`
  Tells how many entries remain in the EPC cache.

  Specified by:
    `getCacheSize` in interface `EPCCacheSpecInfo`
  Returns:
    A count of the entries remaining in the EPC cache.

### setCacheSize

    public void setCacheSize(long cacheSize)

### getCacheContent

    public EPCPatterns getCacheContent()

  Description copied from interface: `EPCCacheSpecInfo`
  Gives the contents remaining in the EPC cache.

  Specified by:
    `getCacheContent` in interface `EPCCacheSpecInfo`
  Returns:
    An `EPCPatterns` containing a sequence of EPC patterns which specify the EPC value(s) in the EPC cache. Can be null, if `ALEPC.getEPCCacheSpecInfo(java.lang.String, boolean)` was called with `false` passed in for `includeCacheContent`.

### setCacheContent

    public void setCacheContent(EPCPatterns cacheContent)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD